image: registry.gitlab.com/gitlab-com/gl-infra/gitlab-pgrepack/ruby:3.1.2
services:
   - name: registry.gitlab.com/gitlab-com/gl-infra/gitlab-pgrepack/postgres:12.11
     alias: postgres

variables:
  POSTGRES_DB: postgres
  POSTGRES_USER: postgres
  POSTGRES_PASSWORD: "postgres"

before_script:
  - bundle update --bundler
  - bundle install --path /cache

test:
  stage: test
  script:
    - bundle exec rspec spec

rubocop:
  stage: test
  script:
    - bundle exec rubocop
